LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 08-13-2022, 07:32 AM   #466
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352

However if you want to test you are welcome

From however I want to know why he has partial informations in install.log

Also I want to know if it is a better think enable logging (partial logging) even if the user not put DEBUG=2 or similar.
 
Old 08-13-2022, 07:33 AM   #467
chrisretusn
Senior Member
 
Registered: Dec 2005
Location: Philippines
Distribution: Slackware64-current
Posts: 2,477

Rep: Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126
I will wait a bit to give this a shot.

I have know updates to process right now anyway.

Last edited by chrisretusn; 08-13-2022 at 07:34 AM.
 
Old 08-13-2022, 07:36 AM   #468
chrisretusn
Senior Member
 
Registered: Dec 2005
Location: Philippines
Distribution: Slackware64-current
Posts: 2,477

Rep: Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126
I see we are both busy here.

I changed my post. I'm not to worried about privacy issues with packages. I will review the result and see. I trust you any way.
 
Old 08-13-2022, 08:19 AM   #469
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
it is buggend using dialog.
 
Old 08-13-2022, 08:38 AM   #470
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
fixed a lot of things
slackpkgplus.sh.txt


Code:
diff --git a/src/slackpkgplus.sh b/src/slackpkgplus.sh
index 8a5049f..fc28040 100755
--- a/src/slackpkgplus.sh
+++ b/src/slackpkgplus.sh
@@ -3,6 +3,38 @@
 # Thanks to AlienBob and phenixia2003 (on LQ) for contributing
 # A special thanks to all packagers that make slackpkg+ useful
 
+export PS4='+[$EPOCHREALTIME] ${LINENO}> \011${FUNCNAME[0]:+${FUNCNAME[0]}(): }'
+XTRACE="+x"
+if [[ "$SHELLOPTS" =~ xtrace ]];then
+  XTRACEFD=${XTRACEFD:-2}
+  BASH_XTRACEFD=$XTRACEFD
+  XTRACE="-x"
+fi
+if [ "$DEBUG" == "2" ];then
+  date > $TMPDIR/start-date
+  echo "Start slackpkg+ trace" >$TMPDIR/xtrace
+  exec 3>&2
+  exec   > >(tee -ia $TMPDIR/xtrace)
+  exec  2> >(tee -ia $TMPDIR/xtrace >& 2)
+  if [ -z "$XTRACEFD" ];then
+    exec {XTRACEFD}>>$TMPDIR/xtrace
+    BASH_XTRACEFD=$XTRACEFD
+    XTRACE="-x"
+  fi
+  set -x
+  ls -ltr --full-time /var/log/packages/ > $TMPDIR/packages-start
+  ls -ltr --full-time $WORKDIR/ > $TMPDIR/workdir-start
+  cp -p $WORKDIR/pkglist $TMPDIR/pkglist-start
+  ps -ef > $TMPDIR/ps-ef
+  cat -A /proc/$$/cmdline|sed 's/\^@/ /g' > $TMPDIR/proc-cmdline
+  cp -a $CONF/ $TMPDIR
+  env > $TMPDIR/env
+  echo "VERSION: $VERSION" > $TMPDIR/ver
+  ls -l --full-time /usr/libexec/slackpkg/functions.d/slackpkgplus.sh >> $TMPDIR/ver
+  md5sum /usr/libexec/slackpkg/functions.d/slackpkgplus.sh >> $TMPDIR/ver
+fi
+
+
 declare -A MIRRORPLUS
 declare -A SBO
 declare -A NOTIFYMSG
@@ -23,6 +55,7 @@ if [ -e $CONF/slackpkgplus.conf ];then
   EXTALLOW32BIT=$ALLOW32BIT
   EXTSLACKPKGPLUS=$SLACKPKGPLUS
   EXTVERBOSE=$VERBOSE
+  EXTDEBUG=$DEBUG
   EXTUSEBL=$USEBL
   EXTWGETOPTS=$WGETOPTS
   EXTDOWNLOADCMD=$DOWNLOADCMD
@@ -66,6 +99,7 @@ if [ -e $CONF/slackpkgplus.conf ];then
   ALLOW32BIT=${EXTALLOW32BIT:-$ALLOW32BIT}
   SLACKPKGPLUS=${EXTSLACKPKGPLUS:-$SLACKPKGPLUS}
   VERBOSE=${EXTVERBOSE:-$VERBOSE}
+  DEBUG=${EXTDEBUG:-$DEBUG}
   USEBL=${EXTUSEBL:-$USEBL}
   WGETOPTS=${EXTWGETOPTS:-$WGETOPTS}
   DOWNLOADCMD=${EXTDOWNLOADCMD:-$DOWNLOADCMD}
@@ -88,7 +122,9 @@ if [ -e $CONF/slackpkgplus.conf ];then
     SLAKFINDER_MAXRES=$EXTSLAKFINDER
     SLAKFINDER=on
   fi
+fi
 
+if [ "$SLACKPKGPLUS" = "on" ];then
   if [ "$EXTSEARCH_DESCRIPTION" == "off" ] || [ "$EXTSEARCH_DESCRIPTION" == "0" ];then
     SEARCH_DESCRIPTION=off
   elif [[ "$EXTSEARCH_DESCRIPTION" =~ ^[0-9] ]];then
@@ -103,9 +139,7 @@ if [ -e $CONF/slackpkgplus.conf ];then
   if [ "$ENABLENOTIFY" = "on" ] && [ -e $CONF/notifymsg.conf ];then
     . $CONF/notifymsg.conf
   fi
-fi
 
-if [ "$SLACKPKGPLUS" = "on" ];then
 
 
   ##### ===== BLACKLIST FUNCTIONS === #####
@@ -161,10 +195,12 @@ if [ "$SLACKPKGPLUS" = "on" ];then
   ##### ===== BLACKLIST FUNCTIONS === #####
 
     # Patching makelist() original function to accept pkglist-pre
+  set +x
   eval "$(type makelist | sed -e $'1d;2c\\\nmakelist()\n' \
                               -e "/in package list/s/tr -d '\\\\\\\\'/tr -d '\\\\\\\\*'/" \
                               -e 's,cat ${WORKDIR}/pkglist > ${TMPDIR}/pkglist,cat $TMPDIR/pkglist-pre ${WORKDIR}/pkglist | applyblacklist > ${TMPDIR}/pkglist,' \
          )"
+  set $XTRACE
 
     # Adds the pattern given by $(1) into the internal blacklist
     # ${TMPDIR}/blacklist.slackpkgplus
@@ -276,10 +312,38 @@ if [ "$SLACKPKGPLUS" = "on" ];then
     [ ! -e $WORKDIR/pkglist ]&&touch $WORKDIR/pkglist
     [ ! -e $WORKDIR/CHECKSUMS.md5 ]&&touch $WORKDIR/CHECKSUMS.md5
     echo
-    rm -f /var/lock/slackpkg.$$
     if [ $VERBOSE -lt 3 ] && [ -z "$DEBUG" ];then
       rm -rf $TMPDIR
     fi
+    if [ "$DEBUG" == "2" ];then
+      echo "Preparing debug informations..."
+      echo $retval > $TMPDIR/retval
+      ls -ltr --full-time $WORKDIR/ > $TMPDIR/workdir-end
+      ls -ltr --full-time /var/log/packages/ > $TMPDIR/packages-end
+      ls -ltr --full-time /var/log/removed_packages/ > $TMPDIR/removed_packages
+      cp -p $WORKDIR/install.log $TMPDIR/install.log
+      [ /tmp/slackpkg.trace -nt /var/lock/slackpkg.$$ ]&&cp -p /tmp/slackpkg.trace $TMPDIR
+      [ slackpkg.trace -nt /var/lock/slackpkg.$$ ]&&cp -p slackpkg.trace $TMPDIR
+      cd $TMPDIR 
+      if [ $? -ne 0 ];then
+        rm -f /var/lock/slackpkg.$$
+        exit 1
+      fi
+      ls -ltra >tmpdir.list
+      for fl in $(ls *.TXT *.gz CHECKSUMS.md5-* *.bz2 2>/dev/null);do
+        > $fl
+      done
+      cp -p $WORKDIR/pkglist $TMPDIR/pkglist-end
+      date > $TMPDIR/end-date
+      tar cJf $TMPDIR.tar.xz $TMPDIR >/dev/null 2>&1
+      echo
+      echo "+---------------------------------------------------------------------------------+"
+      echo "Please send $TMPDIR.tar.xz, output and informations to obtain support."
+      echo "You can upload it on a file sharing service like easyupload.io or send me via mail."
+      echo "NOTE: it may contains personal datas; inspect it before publish it!"
+      echo "+---------------------------------------------------------------------------------+"
+    fi
+    rm -f /var/lock/slackpkg.$$
     exit $retval
   } # END function cleanup()
 
@@ -363,7 +427,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
     if [ ! -z "$MSGLIST" ] ; then
 
       if [ "$DIALOG" = "on" ] || [ "$DIALOG" = "ON" ] ; then
-        dialog --title "post-$EVENT notifications" --backtitle "slackpkg $VERSION" --msgbox "$MSGLIST" 12 70
+        dialog --title "post-$EVENT notifications" --backtitle "slackpkg $VERSION" --msgbox "$MSGLIST" 12 70 >&3
       else
         MSGLIST="====[ POST-${EVENT} NOTIFICATIONS ]===================================== \n${MSGLIST}\n======================================================================="
         echo -e "\n$MSGLIST" | more
@@ -595,7 +659,9 @@ if [ "$SLACKPKGPLUS" = "on" ];then
   ##### ====== CORE FUNCTION ====== ######
     # Extends getpkg() original function
     # (rename getpkg -> getpkg_old, then redefine getpkg to call it)
+  set +x
   eval "$(type getpkg | sed -e $'1d;2c\\\ngetpkg_old()\n' -e 's/Upgrading /Upgrading $5 => [$4]:/' -e 's/Installing /Installing [$4]:/' -e 's/nPackage/tPackage/g')"
+  set $XTRACE
   function getpkg(){
     local c
     local q
@@ -1680,7 +1746,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
 
       dialog --title "ChangeLog" \
         --backtitle "slackpkg $VERSION" $HINT \
-        --textbox $TMPDIR/Packages.clog 19 70
+        --textbox $TMPDIR/Packages.clog 19 70 >&3
     } # END function showChangeLogInfo()
 
 
@@ -1810,23 +1876,23 @@ if [ "$SLACKPKGPLUS" = "on" ];then
             --backtitle "slackpkg $VERSION" $HINT \
             --checklist "Choose packages to $2:" \
             19 70 13 \
-            --file $TMPDIR/dialog.tmp 2>$TMPDIR/dialog.out
+            --file $TMPDIR/dialog.tmp >&3 2>$TMPDIR/dialog.out 
         else
           dialog  --title "$DTITLE" \
             --backtitle "slackpkg $VERSION" $HINT \
             --checklist "Choose packages to $2:" \
             19 70 13 \
-            --file $TMPDIR/dialog.tmp 2>$TMPDIR/dialog.out
+            --file $TMPDIR/dialog.tmp >&3 2>$TMPDIR/dialog.out
         fi
 
         case $? in
           0|1)
             EXIT=true
-                  dialog --clear
+                  dialog --clear >&3
           ;;
 
           3)
-            dialog --clear
+            dialog --clear >&3
 
             if $CLOGopt ; then
 
@@ -1854,7 +1920,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
                 fi
 
               else
-                dialog --title "ChangeLog" --msgbox "Please, select at least one package." 5 40
+                dialog --title "ChangeLog" --msgbox "Please, select at least one package." 5 40 >&3
                 # all packages are deselected ...
                 cat $TMPDIR/dialog.tmp.off > $TMPDIR/dialog.tmp
               fi
@@ -1865,7 +1931,7 @@ if [ "$SLACKPKGPLUS" = "on" ];then
 
           -1|124|125|126|127)
             EXIT=true
-            dialog --clear
+            dialog --clear >&3
             echo -e "DIALOG ERROR:\n-------------" >> $TMPDIR/error.log
             cat $TMPDIR/dialog.out >> $TMPDIR/error.log
             echo "-------------" >> $TMPDIR/error.log
@@ -1970,7 +2036,10 @@ if [ "$SLACKPKGPLUS" = "on" ];then
   #### ===== OTHER ====== ######
 
   function debug(){
-    echo "DEBUG $(date +%H:%M:%S.%N) (${BASH_LINENO[*]}): $@" >&2
+    set +x
+    [ "$DEBUG" == "1" ]&&echo "DEBUG $(date +%H:%M:%S.%N) (${BASH_LINENO[*]}): $@" >&2
+    [ "$DEBUG" == "2" ]&&echo "DEBUG $(date +%H:%M:%S.%N) (${BASH_LINENO[*]}): $@" >&$BASH_XTRACEFD
+    set $XTRACE
   } # END function debug()
 
   function updatedeps(){
@@ -2233,8 +2302,8 @@ For details see 'man slackpkgplus.conf'"
     fi
 
     # 07. slackpkg+ version
-    SPKGPLUS_VERSION="1.9.d"
-    SPKGBUILD=1660151504
+    SPKGPLUS_VERSION="1.9.e"
+    SPKGBUILD=1660316417
     VERSION="$VERSION / slackpkg+ $SPKGPLUS_VERSION-$SPKGBUILD"
 
     # 09. Be sure upgrade 14.2 to 15 does not delete /usr/bin/vi
diff --git a/src/zchangelog.sh b/src/zchangelog.sh
index de8598b..7f45396 100755
--- a/src/zchangelog.sh
+++ b/src/zchangelog.sh
@@ -31,8 +31,10 @@
 
 if [ "$PLUGIN_ZCHANGELOG" == "enable" ];then
 
+set +x
 test -n "$(declare -f cleanup)" # || return
 eval "${_/cleanup/cleanup_orig}"
+set ${XTRACE:-+x}
 
 function pkglistdiff (){
   diff $WORKDIR/pkglist.copy $WORKDIR/pkglist|grep -v " SBO_"|

Last edited by zerouno; 08-13-2022 at 11:41 AM.
 
Old 08-17-2022, 09:14 AM   #471
chrisretusn
Senior Member
 
Registered: Dec 2005
Location: Philippines
Distribution: Slackware64-current
Posts: 2,477

Rep: Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126
I gave this DEBUG option a try. I downloaded and used the slackpkgplus.sh.txt file provided above for this.

Quote:
Originally Posted by zerouno View Post
it is buggend using dialog.
Yes it is. Even without the DEBUG variable. I think this maybe a bit to much to bother with programmability and when DEBUG is needed just simply use -dialog=off. Perhaps catch this and display a message to using -dialog=off. Just thinking here.
Code:
# slackpkg upgrade-all

Checking local integrity... DONE
Looking for packages to upgrade. Please wait... DONE

Preparing list /usr/libexec/slackpkg/functions.d/slackpkgplus.sh: line 1873: 3: Bad file descriptor
/usr/libexec/slackpkg/functions.d/slackpkgplus.sh: line 1891: 3: Bad file descriptor


cat: /tmp/slackpkg.JYnW74/dialog.out: No such file or directory
No packages selected for upgrade, exiting.
Here is the outputs for "slackpkg -dialog=off upgrade-all". Note the "(END)", I posted about this over in slackpkg thread.
Code:
# slackpkg -dialog=off upgrade-all

Checking local integrity... DONE
Looking for packages to upgrade. Please wait... DONE

[ Repository               ] [ Package                                  ]
  slackware64                  btrfs-progs-5.19-x86_64-1.txz             
  slackware64                  glade-3.40.0-x86_64-1.txz                 
  nonslack                     gnucash-4.11-x86_64-1cgs.txz              
  slackware64                  kernel-firmware-20220815_8413c63-noarch-1.txz  
  nonslack                     labplot-2.9.0-x86_64-4cgs.txz             
  nonslack                     libxml++-2.42.1-x86_64-1cgs.txz           
  slackware64                  lz4-1.9.4-x86_64-1.txz                    
  slackware64                  mariadb-10.6.9-x86_64-1.txz               
  nonslack                     wireshark-3.6.7-x86_64-1cgs.txz           

























(END) << q entered here, then next appears. I never used to do this.
Total package(s): 9

Do you wish to upgrade selected packages (Y/n)? n
Here is the output of "DEBUG=2 slackpkg -dialog=off upgrade-all". I answered "n" this this one.
Code:
# DEBUG=2 slackpkg -dialog=off upgrade-all

Checking local integrity... DONE
Looking for packages to upgrade. Please wait... DONE

[ Repository               ] [ Package                                  ]
  slackware64                  btrfs-progs-5.19-x86_64-1.txz             
  slackware64                  glade-3.40.0-x86_64-1.txz                 
  nonslack                     gnucash-4.11-x86_64-1cgs.txz              
  slackware64                  kernel-firmware-20220815_8413c63-noarch-1.txz  
  nonslack                     labplot-2.9.0-x86_64-4cgs.txz             
  nonslack                     libxml++-2.42.1-x86_64-1cgs.txz           
  slackware64                  lz4-1.9.4-x86_64-1.txz                    
  slackware64                  mariadb-10.6.9-x86_64-1.txz               
  nonslack                     wireshark-3.6.7-x86_64-1cgs.txz           

Total package(s): 9

Do you wish to upgrade selected packages (Y/n)? n

Preparing debug informations...

+---------------------------------------------------------------------------------+
Please send /tmp/slackpkg.Dc5O4j.tar.xz, output and informations to obtain support.
You can upload it on a file sharing service like easyupload.io or send me via mail.
NOTE: it may contains personal datas; inspect it before publish it!
+---------------------------------------------------------------------------------+
Now the grand final test with "DEBUG=2 slackpkg -dialog=off upgrade-all" and answering "y" Note that the "(END)" does not appear here.

Code:
# DEBUG=2 slackpkg -dialog=off upgrade-all

Checking local integrity... DONE
Looking for packages to upgrade. Please wait... DONE

[ Repository               ] [ Package                                  ]
  slackware64                  btrfs-progs-5.19-x86_64-1.txz             
  slackware64                  glade-3.40.0-x86_64-1.txz                 
  nonslack                     gnucash-4.11-x86_64-1cgs.txz              
  slackware64                  kernel-firmware-20220815_8413c63-noarch-1.txz  
  nonslack                     labplot-2.9.0-x86_64-4cgs.txz             
  nonslack                     libxml++-2.42.1-x86_64-1cgs.txz           
  slackware64                  lz4-1.9.4-x86_64-1.txz                    
  slackware64                  mariadb-10.6.9-x86_64-1.txz               
  nonslack                     wireshark-3.6.7-x86_64-1cgs.txz           

Total package(s): 9

Do you wish to upgrade selected packages (Y/n)? y

package upgrade info here.

Preparing debug informations...

+---------------------------------------------------------------------------------+
Please send /tmp/slackpkg.r145OG.tar.xz, output and informations to obtain support.
You can upload it on a file sharing service like easyupload.io or send me via mail.
NOTE: it may contains personal datas; inspect it before publish it!
+---------------------------------------------------------------------------------+
I will send the resulting tarballs to the email as listing in the slackpkgplus.conf manpage.

Edit: Just sent.

Last edited by chrisretusn; 08-17-2022 at 09:20 AM.
 
Old 08-17-2022, 09:53 AM   #472
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
I need to fix man page
slakfinder.org instead slakfinder.eu

I will see soon
 
Old 08-17-2022, 10:10 AM   #473
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
I think I've uploaded the bugged release

slackpkgplus.sh.txt

f666dc1fe111f19535351ff06abec8bb slackpkgplus.sh
 
Old 08-17-2022, 10:14 AM   #474
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
I was refactoring the debug code; unfortunately I'm not sure I finished since I had other priority.
But it seems to work for me.
 
Old 08-17-2022, 11:14 AM   #475
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
I've just made a new dedicated branch on github for that experiments, so I don't need to post the file here everytime

Code:
# wget https://raw.githubusercontent.com/zuno/slackpkgplus/debug/src/slackpkgplus.sh -O /usr/libexec/slackpkg/functions.d/slackpkgplus.sh
# wget https://raw.githubusercontent.com/zuno/slackpkgplus/debug/src/zchangelog.sh -O /usr/libexec/slackpkg/functions.d/zchangelog.sh
 
Old 08-18-2022, 12:35 AM   #476
dchmelik
Member
 
Registered: Nov 2008
Location: USA
Distribution: FreeBSD, Slackware, NetBSD, OpenBSD, IllumOS, DragonflyBSD, Plan9, HURD, FreeDOS
Posts: 862

Rep: Reputation: 108Reputation: 108
Smile

Quote:
Originally Posted by zerouno View Post
I've just made a new dedicated branch on github for that experiments, so I don't need to post the file here everytime[...]
Will one get them automatically if selected 'MIRRORPLUS['slackpkgplus']=https://slakfinder.org/slackpkg+dev/'?
 
Old 08-18-2022, 02:35 AM   #477
chrisretusn
Senior Member
 
Registered: Dec 2005
Location: Philippines
Distribution: Slackware64-current
Posts: 2,477

Rep: Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126Reputation: 1126
Quote:
Originally Posted by zerouno View Post
I need to fix man page
slakfinder.org instead slakfinder.eu

I will see soon
Sent.
 
Old 08-18-2022, 02:47 AM   #478
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
Quote:
Originally Posted by dchmelik View Post
Will one get them automatically if selected 'MIRRORPLUS['slackpkgplus']=https://slakfinder.org/slackpkg+dev/'?
This branch is the latest released development version.
Usually it contains the release you can read in https://github.com/zuno/slackpkgplus.../ChangeLog.txt (during development stage).

The 'test' branch is a branch where I can put intermediate commits when I ask for testing; usally I will merge branch test in branch 'devel' in safe way.

The feature 'debug' is too much variable and with an high impact, so I made a temporary branch, just to not post the full file here.

When it will be stable I will merge in test then in devel branch, then in dev repository.

If you want avoid to download manually I suggest this:


Code:
# cd /usr/libexec/slackpkg
# git clone https://github.com/zuno/slackpkgplus/
# cd slackpkgplus/
# git checkout debug
# cd /usr/libexec/slackpkg/functions.d/
# ln -sf ../slackpkgplus/src/slackpkgplus.sh
# ln -sf ../slackpkgplus/src/zchangelog.sh
# ln -sf ../slackpkgplus/src/zlookkernel.sh
Everytime you want to try a new release
Code:
# cd /usr/libexec/slackpkg/slackpkgplus/
# git pull
if you want to switch to another release
Code:
# git checkout devel
# git checkout test
# git checkout 1.8
 
Old 08-18-2022, 02:50 AM   #479
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
Quote:
Originally Posted by chrisretusn View Post
Sent.
Received. I will see soon.
 
Old 08-18-2022, 09:08 AM   #480
zerouno
Member
 
Registered: Oct 2009
Location: Italy
Distribution: Slackware
Posts: 983

Original Poster
Rep: Reputation: 352Reputation: 352Reputation: 352Reputation: 352
It seems good.
However you used the release posted at post #461 that contains a lot of bugs.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] [ENCHANCEMENT] slackpkg+: do not show the notices "pkglist is older than 24h..." and "remember to re-run 'slackpkg update''..."... yars Slackware 1 01-09-2016 09:56 AM
having trouble after upgrading 14.1 slackware using slackpkg and slackpkg+ [solved] slackartist Slackware 1 12-28-2015 07:28 AM
[SOLVED] Slackpkg, Slackpkg Plus, Slackware 14.1 x86_64 install.log delay or slow to write bamunds Slackware 7 04-22-2014 11:12 AM
[SOLVED] typos in latest /etc/slackpkg/mirrors(.new) [slackpkg-2.82.0-noarch-8.tgz] wailingwailer Slackware 4 09-22-2012 04:04 AM
Slackpkg: missing something in /usr/libexec/slackpkg/functions.d/dialog-functions.sh michelino Slackware 4 03-20-2007 12:22 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 05:42 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration